
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>详解Android业务组件化之URL Schema使用 / iVAN</title>

    <meta name="description" content="详解Android业务组件化之URL Schema使用 前言: 最近公司业务发展迅速,单一的项目工程不再适合公司发展需要,所以开始推进公司APP业务组件化,很荣幸自己能够牵头做这件事,经过研究实现组件化的通信方案通过URL Schema,所以想着现在还是在预研阶段,很有必要先了解一下URL Schema,看看是如何使用的?其实在之前做Hybrid混合编程的时候就接触过URL Schema,总来的来说还不算陌生,今天就来回顾总结一下. 什么是 URL Schema? android中的scheme是一种页面内跳转协议,是一种非常好的实现机制,通过定义自">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">详解Android业务组件化之URL Schema使用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>前言：</p>
<p>最近公司业务发展迅速，单一的项目工程不再适合公司发展需要，所以开始推进公司APP业务组件化，很荣幸自己能够牵头做这件事，经过研究实现组件化的通信方案通过URL Schema，所以想着现在还是在预研阶段，很有必要先了解一下URL Schema，看看是如何使用的？其实在之前做Hybrid混合编程的时候就接触过URL Schema，总来的来说还不算陌生，今天就来回顾总结一下。</p>
<p>什么是 URL Schema？</p>
<p>android中的scheme是一种页面内跳转协议，是一种非常好的实现机制，通过定义自己的scheme协议，可以非常方便跳转app中的各个页面；通过scheme协议，服务器可以定制化告诉App跳转那个页面，可以通过通知栏消息定制化跳转页面，可以通过H5页面跳转页面等。</p>
<p>URL Schema应用场景：</p>
<p>客户端应用可以向操作系统注册一个 URL scheme，该 scheme 用于从浏览器或其他应用中启动本应用。通过指定的 URL 字段，可以让应用在被调起后直接打开某些特定页面，比如商品详情页、活动详情页等等。也可以执行某些指定动作，如完成支付等。也可以在应用内通过 html 页来直接调用显示 app 内的某个页面。综上URL Schema使用场景大致分以下几种：</p>
<p>•服务器下发跳转路径，客户端根据服务器下发跳转路径跳转相应的页面<br /> &nbsp;•H5页面点击锚点，根据锚点具体跳转路径APP端跳转具体的页面<br /> &nbsp;•APP端收到服务器端下发的PUSH通知栏消息，根据消息的点击跳转路径跳转相关页面<br /> &nbsp;•APP根据URL跳转到另外一个APP指定页面</p>
<p>URL Schema协议格式：</p>
<p>先来个完整的URL Schema协议格式：</p>
<p>xl://goods:8888/goodsDetail?goodsId=10011002 <br /> 通过上面的路径 Schema、Host、port、path、query全部包含，基本上平时使用路径就是这样子的。</p>
<p>•xl代表该Schema 协议名称<br /> &nbsp;•goods代表Schema作用于哪个地址域<br /> &nbsp;•goodsDetail代表Schema指定的页面<br /> &nbsp;•goodsId代表传递的参数<br /> &nbsp;•8888代表该路径的端口号</p>
<p>URL Schema如何使用：</p>
<p>1.）在AndroidManifest.xml中对&lt;activity /&gt;标签增加&lt;intent-filter /&gt;设置Schema</p>
<p>&lt;activity android:name=&quot;.GoodsDetailActivity&quot; android:theme=&quot;@style/AppTheme&quot;&gt; &lt;!--要想在别的App上能成功调起App，必须添加intent过滤器--&gt; &lt;intent-filter&gt; &lt;!--协议部分，随便设置--&gt; &lt;data android:scheme=&quot;xl&quot; android:host=&quot;goods&quot; android:path=&quot;/goodsDetail&quot; android:port=&quot;8888&quot;/&gt; &lt;!--下面这几行也必须得设置--&gt; &lt;category android:name=&quot;android.intent.category.DEFAULT&quot;/&gt; &lt;action android:name=&quot;android.intent.action.VIEW&quot;/&gt; &lt;category android:name=&quot;android.intent.category.BROWSABLE&quot;/&gt; &lt;/intent-filter&gt; &lt;/activity&gt;<br />
<br />2.）获取Schema跳转的参数</p>
<p>Uri uri = getIntent().getData(); if (uri != null) { // 完整的url信息 String url = uri.toString(); Log.e(TAG, &quot;url: &quot; + uri); // scheme部分 String scheme = uri.getScheme(); Log.e(TAG, &quot;scheme: &quot; + scheme); // host部分 String host = uri.getHost(); Log.e(TAG, &quot;host: &quot; + host); //port部分 int port = uri.getPort(); Log.e(TAG, &quot;host: &quot; + port); // 访问路劲 String path = uri.getPath(); Log.e(TAG, &quot;path: &quot; + path); List&lt;String&gt; pathSegments = uri.getPathSegments(); // Query部分 String query = uri.getQuery(); Log.e(TAG, &quot;query: &quot; + query); //获取指定参数值 String goodsId = uri.getQueryParameter(&quot;goodsId&quot;); Log.e(TAG, &quot;goodsId: &quot; + goodsId); }<br />
<br />3.）调用方式</p>
<p>网页上<br /> 复制代码 代码如下:&lt;a href=&quot;xl://goods:8888/goodsDetail?goodsId=10011002&quot;&gt;打开商品详情&lt;/a&gt;</p>
<p>原生调用<br /> 复制代码 代码如下:Intent intent = new Intent(Intent.ACTION_VIEW,Uri.parse(&quot;xl://goods:8888/goodsDetail?goodsId=10011002&quot;));<br /> &nbsp; startActivity(intent);</p>
<p>4.）如何判断一个Schema是否有效</p>
<p>PackageManager packageManager = getPackageManager(); Intent intent = new Intent(Intent.ACTION_VIEW, Uri.parse(&quot;xl://goods:8888/goodsDetail?goodsId=10011002&quot;)); List&lt;ResolveInfo&gt; activities = packageManager.queryIntentActivities(intent, 0); boolean isValid = !activities.isEmpty(); if (isValid) { startActivity(intent); }<br />
<br />总结：</p>
<p>Schema的基本使用也就这么多了，其他的使用在以后用到的时候再做总结。</p>
<p>以上就是本文的全部内容，希望对大家的学习有所帮助，也希望大家多多支持脚本之家。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-14 06:06:03</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/schema/" title="schema">schema</a>, <a href="https://www.iamivan.net/tag/%e4%b8%9a%e5%8a%a1%e7%bb%84%e4%bb%b6%e5%8c%96/" title="业务组件化">业务组件化</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>详解Android业务组件化之URL Schema使用的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlB5Paz.html" rel="bookmark">详解Android业务组件化之URL Schema使用&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言:       最近公司业务发展迅速,单一的项目工程不再适合公司发展需要,所以开始推进公司APP业务组件化,很荣幸自己能够牵头做这件事,经过研究实现组件化的通信方案通过URL Schema,所以想着现在还是在预研阶段,很有必要先了解一下URL Schema,看看是如何使用的?其实在之前做Hybrid混合编程的时候就接触过URL Schema,总来的来说还不算陌生,今天就来回顾总结一下. 什么是 URL Schema?      android中的scheme是一种页面内跳转协议,是一种非常好			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOnnYmp.html" rel="bookmark">详解vue&period;js组件化开发实践&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 公司目前制作一个H5活动,特别是有一定统一结构的活动,都要码一个重复的轮子.后来接到一个基于模板的活动设计系统的需求,便有了下面的内容.借油开车. 组件化 需求一到,接就是怎么实现,技术选型自然成为了第一个问题.鉴于目前web前端mvvm框架以及组件化开发方式的流行,决定技术栈采用:vue + es6 + 组件化. 这里首先简单说下web前端组件化开发方式的历程: 最早的组件化结构,代码结构可能如下: - lib/components/calendar |- calendar.css |-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0QxBAp.html" rel="bookmark">详解Android中Intent对象与Intent Filter过滤匹配过程&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果对Intent不是特别了解,可以参见博文&lt;详解Android中Intent的使用方法&gt;,该文对本文要使用的action.category以及data都进行了详细介绍.如果想了解在开发中常见Intent的使用,可以参见&lt;Android中Intent习惯用法&gt;. 本文内容有点长,希望大家可以耐心读完. 本文在描述组件在manifest中注册的Intent Filter过滤器时,统一用intent-filter表示. 一.概述 我们知道,Intent是分两种的:显式Intent和隐式			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE4qB3z.html" rel="bookmark">XCoreRedux框架&colon;Android UI组件化与Redux实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				XCoreRedux框架:Android UI组件化与Redux实践 @author: 莫川 https://github.com/nuptboyzhb/ XCoreRedux源码+Demo:https://github.com/nuptboyzhb/XCoreRedux 使用android studio打开该项目. 目录结构 demo 基于xcore框架写的一个小demo xcore XCoreRedux核心代码库 pics 文档的pic资源 前言 Android开发当中的Code Archi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJrlLJz.html" rel="bookmark">详解Android Webview加载网页时发送HTTP头信息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				详解Android Webview加载网页时发送HTTP头信息 当你点击一个超链接进行跳转时,WebView会自动将当前地址作为Referer(引荐)发给服务器,因此很多服务器端程序通过是否包含referer来控制盗链,所以有些时候,直接输入一个网络地址,可能有问题,那么怎么解决盗链控制问题呢,其实在webview加载时加入一个referer就可以了,如何添加呢? 从Android 2.2 (也就是API 8)开始,WebView新增加了一个接口方法,就是为了便于我们加载网页时又想发送其他的HT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ4vvqM.html" rel="bookmark">详解Android中的Service</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Service简介: Service是被设计用来在后台执行一些需要长时间运行的操作. Android由于允许Service在后台运行,甚至在结束Activity后,因此相对来说,Service相比Activity拥有更高的优先级. 创建Service: 要创建一个最基本的Service,需要完成以下工作:1)创建一个Java类,并让其继承Service 2)重写onCreate()和onBind()方法 其中,onCreate()方法是当该Service被创建时执行的方法,onBind()是该S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWNk0Ab.html" rel="bookmark">详解android 通过uri获取bitmap图片并压缩</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				详解android 通过uri获取bitmap图片并压缩 很多人在调用图库选择图片时会在onActivityResult中用Media.getBitmap来获取返回的图片,如下: Uri mImageCaptureUri = data.getData(); Bitmap photoBmp = null; if (mImageCaptureUri != null) { photoBmp = MediaStore.Images.Media.getBitmap(ac.getContentResolve			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M16x0jp.html" rel="bookmark">详解Android中图片的三级缓存及实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				详解Android中图片的三级缓存及实例 为什么要使用三级缓存 如今的 Android App 经常会需要网络交互,通过网络获取图片是再正常不过的事了 假如每次启动的时候都从网络拉取图片的话,势必会消耗很多流量.在当前的状况下,对于非wifi用户来说,流量还是很贵的,一个很耗流量的应用,其用户数量级肯定要受到影响 特别是,当我们想要重复浏览一些图片时,如果每一次浏览都需要通过网络获取,流量的浪费可想而知 所以提出三级缓存策略,通过网络.本地.内存三级缓存图片,来减少不必要的网络交互,避免浪费流量			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkG31rp.html" rel="bookmark">基于 SurfaceView 详解 android 幸运大转盘，附带实例app</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基于 SurfaceView 详解 android 幸运大转盘,附带实例app       首先说一下,幸运大转盘,以及SurfaceView是在看了也为大神的博客,才有了比较深刻的理解,当然这里附上这位大神的博客地址:博客地址,有兴趣的话你可以去看看,里面有很多的例子.至于我为什么要写这篇博客?,原因之一:加强自己的理解,原因之二:大神的博客就是大神的博客,跳转的太快,基础不好的,很难理解.还有就是一天在实验室太无聊了,没事写写东西.这里我再来更加基础的分析一下.写的不好,原谅.有什么写的不对			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlXoOM.html" rel="bookmark" class="title">SQL Server 2005 中的批编译、重新编译和计划缓存问题（2）</a>
					<div>
						查询计划缓存及各种 SET 选项(与 showplan 相关及其他) 各种 SET 选项--多数与 showplan 相关--以多种复杂的方式影响着查询计划和执行上下文的编译.缓存和重用.下表汇总了相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkDAwz.html" rel="bookmark" class="title">做网站可能需要注意的地方</a>
					<div>
						 1,对每一个超级链接点击之后采用新开窗口还是直接跳转,必须认真对待.如果用户点击一个link之后是要放弃当前页面开始新的体验,则应用直接跳转.如果用户点击link是要了解更多的信息,但是当前页面的信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boxKEM.html" rel="bookmark" class="title">百度竞价技巧与经验分享</a>
					<div>
						其实这篇文章早就应该出来了,因为比较懒老是喜欢拖拉,好了不废话了开始吧.在网上几乎就没有看到过百度竞价推广的经验文章,我就把自己这一年以来积累到的一点经验分享给大家吧. 刚开始做竞价推广的时候也是摸不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjRd6p.html" rel="bookmark" class="title">Java建立Zip压缩文件</a>
					<div>
						import java.io.*; import java.util.zip.*; class Zip { public static void main(String args[]) throws  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQP6lwz.html" rel="bookmark" class="title">Photoshop如何把荷花图片转为水墨画效果</a>
					<div>
						  Photoshop如何把荷花图片转为水墨画效果          最终效果 1.打开素材图片,按Ctrl + M 调整曲线,稍微提亮一点,确定后复制一个图层. 2.创建黑白调整图层,在通道混合器里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRweRz.html" rel="bookmark" class="title">tplink路由器wdr8500怎么设置无线</a>
					<div>
						  tplink路由器wdr8500设置无线的方法方法一.在首页查看和修改 清空浏览器地址栏,输入管理地址tplogin.cn,如下图; 输入路由器的管理密码,进入管理界面. 注意:管理密码是初次登录 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3aQ6p.html" rel="bookmark" class="title">网游加速小助手怎么开通？</a>
					<div>
						  1.进入官网支付页面 2.选择支付方式,共包括3种,分别是超级会员(20元/月,无限制使用).年费会员(120元/年,无限制使用)和普通会员(10元/月,每月固定使用时长) 小贴士: 包时用户,根 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkjyZb.html" rel="bookmark" class="title">机械鼠标是什么</a>
					<div>
						  机械鼠标主要由滚球.辊柱和光栅信号传感器组成.鼠标通过 ps/2 口或串口与主机相连.接口中一般使用四根线,分别是电源 ,地,时钟和数据. 机械鼠标的工作原理 当你拖动鼠标时,带动滚球转动,滚球又 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7jgZz.html" rel="bookmark" class="title">前端-求助，手机qq内置浏览器，javascript问题</a>
					<div>
						问题描述 求助,手机qq内置浏览器,javascript问题 function touchMove(event) { if(event.touches.length &gt; 1 || event.s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjL5gnp.html" rel="bookmark" class="title">经验贴 &vert; 教你检查和判断硬盘的各类故障</a>
					<div>
						硬盘,大家在日常生活中也经常接触到,但是大家一般比较关注它的容量,一旦但鸟硬盘出现问题无法运转就束手无策.硬盘出现的故障主要分为:硬盘不启动和硬盘异响. 一.硬盘不启动 硬盘无法启动故障属于硬盘故障中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLYvNp.html" rel="bookmark" class="title">VC&colon; GDI绘图基本步骤总结 &period;</a>
					<div>
						一.获得绘图的窗口句柄 方法(详细参数及其调用可以看考MSDN): 1.          HWND FindWindow(LPCTSTR lpClassName, LPCTSTR lpWindowN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRdG3p.html" rel="bookmark" class="title">网络安全阵地硝烟四起，看国家示范性百强高等职业院校如何应对？</a>
					<div>
						重庆电子工程职业学院是一所由重庆市人民政府举办并主管,是教育部.财政部重点建设的100所国家示范性高等职业院校之一.学校更是在2010年建立了国家级&quot;网络与信息安全教学团队&quot;,这是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRvJ8b.html" rel="bookmark" class="title">急，请大侠指点，InvokeMember&lpar;&amp;amp&semi;amp&semi;quot&semi;click&amp;amp&semi;amp&semi;quot&semi;&rpar;点击无效</a>
					<div>
						问题描述 相关说明:页面使用extjs框架,现在想实现的效果是点击左边的一行,右边的grid会随之变化在extjs中是使用selectionchange事件监听.现在的问题是在div或td或tr元素所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR12Eb.html" rel="bookmark" class="title">全球首款Oak Trail平板问世 搭载双系统</a>
					<div>
						5月5日消息,苹果iPad平板电脑在市场上的绝对优势也迫使更多平板生产商开发更多新概念产品.优派近日就针对更多商务人士的需求,推出一款10英寸平板电脑ViewPad 10 Pro,也是首款全球首款搭载 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjKBOM.html" rel="bookmark" class="title">白庚晓：企业推广必看之网络营销中最常见的五大误解</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 随着市场竞争日益激烈,不少企业主都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xRgRb.html" rel="bookmark" class="title">Hibernate 如何学习</a>
					<div>
						问题描述 我现在看完了一本书,Hibernate基础教程.使用Eclipse环境,但是现在缺少实践,书中的例子有点看不太明白.有没有比较基础的实例或者是网站.我想多做一些这方面的开发.希望提供资料或者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkGaDM.html" rel="bookmark" class="title">Yik Yak刚刚Close了一轮约7500万美金的融资</a>
					<div>
						摘要: 之前我们报道过,基于LBS的1500米匿名社交应用Yik Yak刚刚Close了一轮约7500万美金的融资,而今天由WSJ线人放出的消息是另一版是这样的:红杉领投,6200万美金.仅仅一年时间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy1Dxz.html" rel="bookmark" class="title">《Adobe InDesign CS6中文版经典教程》&mdash;第1课1&period;7节使用上下文菜单</a>
					<div>
						1.7 使用上下文菜单 Adobe InDesign CS6中文版经典教程 除屏幕顶部的菜单外,用户还可使用下上文菜单列出与活动工具或选定对象相关联的命令.要显示上下文菜单,将鼠标指向文档窗口中的一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7ZE3z.html" rel="bookmark" class="title">环信3&period;0发图片EMImageMessageBody消息返回Message invalid</a>
					<div>
						问题描述 环信3.0发图片EMImageMessageBody消息返回错误Message invalid 是传入一个image的nsdata类型么?这种转data可以么?  //******* UII ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo8Z0M.html" rel="bookmark" class="title">多款匿名社交战火连天</a>
					<div>
						不久前的,被以侵权为由从App Store强制下架的匿名社交应用软件&quot;无秘&quot;,刚刚借着&quot;友秘&quot;重新回归了苹果市场,但是却陷入了新的麻烦. 近日著名的&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkgX4M.html" rel="bookmark" class="title">Linux命令行里的&OpenCurlyDoubleQuote;瑞士军刀&rdquo;&lowbar;linux shell</a>
					<div>
						这里说的&quot;瑞士军刀&quot;是指那些简单的一句命令就能完成其它高级语言一大片代码才能完成的工作. 下面的这些内容是Quora网站上Joshua Levy网友的总结: 通过sort/uniq ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0mXAp.html" rel="bookmark" class="title">linux中安装mysql数据库的2种方法</a>
					<div>
						编译安装mysql 安装前准备 如果mysql用户不存在,那么添加mysql用户 groupadd mysql useradd -g mysql mysql mysql编译安装 wget http:/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqNXnp.html" rel="bookmark" class="title">百度扶植金山：业务冲突不可避免</a>
					<div>
						奇虎360的对手们结盟对抗360的行动有了新的进展.日前有消息称,百度将入股金山网络,近期百度正在与金山网络及相关投资商谈判.百度与腾讯方面虽未就此事进行回应,但金山软件的一则公告则显示,此事并非空穴 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8kxdp.html" rel="bookmark" class="title">arcmap如何将shapefile文件裁切成多个小文件</a>
					<div>
						问题描述 小弟有一shp文件图幅范围太大,需要把它切割成若干个小图,烦请大侠们指教. 解决方案 解决方案二:考虑一下Clip工具					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5Z2Zz.html" rel="bookmark" class="title">特朗普的退出或反向促进巴黎气候协定的落实</a>
					<div>
						就在各国努力控制碳排放应对气候变化时,特朗普却宣布退出巴黎气候协定,这引起全球各地政商.企业领袖的愤怒和抗议,也对巴黎气候协定的最终执行产生了担忧. 但落基山研究所CEO Jules Kortenho ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2R06M.html" rel="bookmark" class="title">android4&period;2无法执行</a>
					<div>
						问题描述 android4.4可以执行,4.2会报错:failed: Cannot load library: soinfo_relocate(linker.cpp:975): cannot loca ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK03VdM.html" rel="bookmark" class="title">工信部张峰：通信业节能工作面临较大挑战</a>
					<div>
						腾讯科技讯 10月12日消息,昨天,&quot;第三届通信行业节能减排大会&quot;在北京召开.会上,工信部通信发展司司长张峰表示,随着3G和宽带网络的加快发展以及云计算.物联网.移动互联网等蓬勃的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Y8k6p.html" rel="bookmark" class="title">浅谈&OpenCurlyDoubleQuote;粗心&rdquo;搬迁服务器的后果</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 在开展个人的&quot;长篇大论& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPBEZp.html" rel="bookmark" class="title">c&num; 如何让多线程断点执行到？</a>
					<div>
						问题描述 如题,Classa{publica(){A1a1=newA1();threadt1=newthreada(newthreadstart(a1.func1))t1.start();A2a2=n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWR7mz.html" rel="bookmark" class="title">《Cisco QoS认证考试指南（第2版）》一导读</a>
					<div>
						前 言 Cisco QoS认证考试指南(第2版)通常在计算机的使用中,尤其是在网络互联工作中,必须解决资源有限带来的相关问题.对于计算机来说,操作系统必须能够找到一种方法,在运行的多个程序之间平均分配 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
